<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

add_integration_function('integrate_pre_include', '$sourcedir/GuestRegistrationNotification.php');
add_integration_function('integrate_general_mod_settings', 'grn_general_mod_settings');
add_integration_function('integrate_load_theme', 'grn_load_theme');

updateSettings(array(
	'guest_notify_css' => 'border: 1px solid #cc3344;color: #000;background-color: #ffe4e9;',
	'guest_notify_css_title' => 'font-size: 1.1em;text-decoration: underline;',
));

if (!empty($ssi))
	echo 'Database installation complete!';

?>